Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.project
Interface Project

All Superinterfaces:
  BambooObject

All Known Implementing Classes:
  DefaultProject, LegacyBuildObject, LegacyBuildObjectFor110, LegacyTestBuildObject, UpgradeTask102BuildObject

    public interface Project

extends BambooObject

Represents a Bamboo project object. Projects are top level entities and can have multiple `Build`s. A project can also have a default `BuildDefinition` that `Build`s extend.

Method Summary
`List` | `getBuilds()` Returns all `Build` associated with the `Project`.
`String` | `getCurrentStatus()` Returns the string representatioin the current status of a build.
`String` | `getKey()` Returns key of the project.
`List` | `getLabellings()`
`String` | `getName()`
`void` | `setKey(String key)` Sets the key for the project.
`void` | `setLabellings(List labellings)`
`void` | `setName(String name)`

Methods inherited from interface com.atlassian.bamboo.core.BambooObject
`getId, setId`

Method Detail

### getKey

    String getKey()

  Returns key of the project. Keys are capital, alphanumeric strings.

  Returns:
    key of project. Must not be null.

### getName

    String getName()

### setName

    void setName(String name)

### setKey

    void setKey(String key)

  Sets the key for the project. Must not be null

  Parameters:
    `key` -

### getBuilds

    List getBuilds()

  Returns all `Build` associated with the `Project`. Returns `Collections.EMPTY_LIST`` if there are no `Build`s for the project.

  Returns:
    `List` of `Build`s. `Collections.EMPTY_LIST`` if no builds.

### getCurrentStatus

    String getCurrentStatus()

  Returns the string representatioin the current status of a build. Mirrors `Build@getCurrentStatus`. It will return "current" if any plan is building, and "fail" if any plan is failing.

  Returns:
    a String

### getLabellings

    List getLabellings()

### setLabellings

    void setLabellings(List labellings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.